osmo_xlm_prim_notify Struct Reference

`#include <sigtran_sap.h>`

## Data Fields

uint32_t | presence
uint16_t | status_type
uint16_t | status_info
uint32_t | asp_id
uint32_t | route_ctx
char * | info_string

## Field Documentation

## asp_id

uint32_t osmo_xlm_prim_notify::asp_id

Referenced by as_notify_all_asp(), m3ua_decode_notify(), m3ua_encode_notify(), and notify_any_other_active_asp_as_inactive().

## info_string

char* osmo_xlm_prim_notify::info_string

Referenced by m3ua_decode_notify(), m3ua_encode_notify(), m3ua_rx_mgmt_ntfy(), and sua_rx_mgmt_ntfy().

## presence

uint32_t osmo_xlm_prim_notify::presence

Referenced by as_notify_all_asp(), m3ua_decode_notify(), and m3ua_encode_notify().

## route_ctx

uint32_t osmo_xlm_prim_notify::route_ctx

Referenced by m3ua_decode_notify(), and m3ua_encode_notify().

## status_info

uint16_t osmo_xlm_prim_notify::status_info

Referenced by lm_active(), lm_wait_notify(), m3ua_decode_notify(), m3ua_encode_notify(), m3ua_rx_mgmt_ntfy(), and sua_rx_mgmt_ntfy().

## status_type

uint16_t osmo_xlm_prim_notify::status_type

Referenced by lm_active(), lm_wait_notify(), m3ua_decode_notify(), m3ua_encode_notify(), m3ua_rx_mgmt_ntfy(), notify_any_other_active_asp_as_inactive(), sua_rx_mgmt_ntfy(), and xua_as_fsm_onenter().

The documentation for this struct was generated from the following file:

- include/osmocom/sigtran/sigtran_sap.h